package cn.com.tenlion.staff.controller.route.basicstaffinfo;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * 人员信息页面跳转
 * @author xwangs
 * @create 2021-04-29 14:24
 * @description
 */
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/basic-staff-info")
public class BasicStaffInfoRouteController extends DefaultBaseController {

    @GetMapping("list-basic-staff-info")
    public ModelAndView listPage() {
        ModelAndView mv = new ModelAndView("basic-staff-info/list-basic-staff-info");
        return mv;
    }

    @GetMapping("save-basic-staff-info")
    public ModelAndView save() {
        ModelAndView mv = new ModelAndView("basic-staff-info/save-basic-staff-info");
        return mv;
    }

    @GetMapping("update-basic-staff-info")
    public ModelAndView update() {
        ModelAndView mv = new ModelAndView("basic-staff-info/update-basic-staff-info");
        return mv;
    }

}
